> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.api.abelpolice.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.api.abelpolice.com/_mcp/server.

# Get a report

GET https://api.stage.abelpolice.com/v1/reports/{report_id}

Reference: https://docs.api.abelpolice.com/api-reference/reports/get-report-v-1-reports-report-id-get

## Request

### Path parameters

- `report_id` (string, required) — Valid UUID of the report to retrieve

### Headers

- `x-api-key` (string, required) — API key or token

## Response

### 200

Successful Response

- `report_info` (BasicReportInfoResponse, required) — Additional report information
- `report` (map from string to any, optional, nullable) — Report

## Errors

### 403 Forbidden Error

Access Denied

- `detail` (string, required)

### 404 Not Found Error

Resource Not Found

- `detail` (string, required)

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Internal Server Error

Internal Server Error

- `detail` (string, required)

## Types

### BasicReportInfoResponse

- `report_id` (string, required) — Report UUID
- `agency_id` (string, required) — Agency UUID
- `user_id` (string, required) — User UUID
- `chat_id` (string, required) — Associated Partner chat UUID
- `event_occurred_at_utc` (datetime, required) — Event occurred at (UTC)
- `report_expiration_at_utc` (datetime, required) — Report expires at (UTC)
- `is_restricted` (boolean, required) — Whether any evidence attached to the report is restricted in the DEMS
- `is_archived` (boolean, required) — Whether the report is archived
- `user_email` (string, optional, nullable) — User email
- `user_first_name` (string, optional, nullable) — User first name
- `user_last_name` (string, optional, nullable) — User last name
- `user_badge_number` (string, optional, nullable) — User badge number
- `user_title` (string, optional, nullable) — User title
- `report_created_at_utc` (datetime, optional, nullable) — Report created at (UTC)
- `report_updated_at_utc` (datetime, optional, nullable) — Report updated at (UTC)
- `cad_event_id` (string, optional, nullable) — CAD event ID
- `combined_from_reports` (list of string, optional, nullable) — Reports that were combined to create this report
- `superceded_by_report_id` (string, optional, nullable) — Report ID of the report that superceded this report
- `report_status` (enum, optional, nullable) — Report status
  - Allowed values: `merging_evidence`, `validating_evidence`, `queued`, `running`, `downloading_video`, `generating_transcript`, `processing_transcript`, `matching_cad`, `detecting_location`, `retrieving_weather`, `gathering_entities`, `generating_narrative`, `formatting_report`, `completed`, `error`, `skipped`, `voice_tagging`
- `report_type` (enum, optional, nullable) — Report type
  - Allowed values: `BURGLARY`, `VEHICLE BURGLARY`, `SHOPLIFTING`, `TRESPASSING`, `VANDALISM`, `THEFT`, `STOLEN VEHICLE`, `RECOVERED VEHICLE`, `FRAUD`, `STOLEN PROPERTY`, `ARSON`, `LOST PROPERTY`, `FOUND PROPERTY`, `ASSAULT/BATTERY`, `DOMESTIC VIOLENCE`, `ROBBERY`, `SEXUAL ASSAULT`, `CHILD ABUSE`, `ELDER ABUSE`, `KIDNAPPING`, `HOMICIDE`, `DEATH INVESTIGATION`, `MENTAL HEALTH HOLD`, `WELFARE CHECK`, `MISSING PERSON`, `WARRANT ARREST`, `DUI`, `TRAFFIC COLLISION`, `TRAFFIC CITATION`, `HATE CRIME`, `SUPPLEMENTAL REPORT`, `CONTACT ATTEMPT`, `EVIDENCE LOG`, `WEAPONS VIOLATION`, `DRUGS VIOLATION`, `PAROLE VIOLATION`, `PROBATION VIOLATION`, `RESTRAINING ORDER VIOLATION`, `PUBLIC INTOXICATION`, `WITNESS INTERVIEW`, `VICTIM INTERVIEW`, `SUSPECT INTERROGATION`, `GENERAL`
- `report_category` (enum, optional, nullable) — Report category
  - Allowed values: `PROPERTY`, `PERSON`, `TRAFFIC`, `VIOLATION`, `INTERVIEW`, `GENERAL`, `OTHER`
- `videos` (list of GetVideoResponse, optional) — Videos in the report
- `audios` (list of GetAudioResponse, optional) — Audios in the report
- `photos` (list of GetPhotoResponse, optional) — Photos in the report

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### GetVideoResponse

- `occurred_at_utc` (datetime, required) — File event occurred at (UTC)
- `uploaded_at_utc` (datetime, required) — File uploaded at (UTC)
- `created_at_utc` (datetime, required) — File created in Abel at (UTC)
- `presigned_url` (string, required) — Presigned URL for the file (lasts 1 hour)
- `dems_id` (string, required) — DEMS ID
- `video_id` (string, required) — Video UUID
- `locker_info` (LockerInfo, optional, nullable) — Locker information
- `duration_seconds` (double, optional, nullable) — Video length in seconds

### GetAudioResponse

- `occurred_at_utc` (datetime, required) — File event occurred at (UTC)
- `uploaded_at_utc` (datetime, required) — File uploaded at (UTC)
- `created_at_utc` (datetime, required) — File created in Abel at (UTC)
- `presigned_url` (string, required) — Presigned URL for the file (lasts 1 hour)
- `dems_id` (string, required) — DEMS ID
- `audio_id` (string, required) — Audio UUID
- `locker_info` (LockerInfo, optional, nullable) — Locker information
- `duration_seconds` (double, optional, nullable) — Audio length in seconds

### GetPhotoResponse

- `occurred_at_utc` (datetime, required) — File event occurred at (UTC)
- `uploaded_at_utc` (datetime, required) — File uploaded at (UTC)
- `created_at_utc` (datetime, required) — File created in Abel at (UTC)
- `presigned_url` (string, required) — Presigned URL for the file (lasts 1 hour)
- `dems_id` (string, required) — DEMS ID
- `photo_id` (string, required) — Photo UUID
- `locker_info` (LockerInfo, optional, nullable) — Locker information

### ValidationErrorLocItems

- string
- integer

### LockerInfo

- `locker_id` (string, optional, nullable) — Locker ID
- `locker_title` (string, optional, nullable) — Locker title
- `locker_categories` (list of string, optional, nullable) — Locker categories

## Examples

**Response**

```json
{
  "report_info": {
    "report_id": "123e4567-e89b-12d3-a456-426614174000",
    "agency_id": "123e4567-e89b-12d3-a456-426614174000",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "chat_id": "123e4567-e89b-12d3-a456-426614174000",
    "event_occurred_at_utc": "2021-01-01T00:00:00Z",
    "report_expiration_at_utc": "2021-01-01T00:00:00Z",
    "is_restricted": false,
    "is_archived": true,
    "user_email": "officer@agency.com",
    "user_first_name": "John",
    "user_last_name": "McClane",
    "user_badge_number": "881",
    "user_title": "Captain",
    "report_created_at_utc": "2021-01-01T00:00:00Z",
    "report_updated_at_utc": "2021-01-01T00:00:00Z",
    "cad_event_id": "123456",
    "combined_from_reports": [
      "123e4567-e89b-12d3-a456-426614174000",
      "123e4567-e89b-12d3-a456-426614174001"
    ],
    "superceded_by_report_id": "123e4567-e89b-12d3-a456-426614174000",
    "report_status": "completed",
    "report_type": "BURGLARY",
    "report_category": "PROPERTY",
    "videos": [
      {
        "occurred_at_utc": "2021-01-01T00:00:00Z",
        "uploaded_at_utc": "2021-01-01T00:00:00Z",
        "created_at_utc": "2021-01-01T00:00:00Z",
        "presigned_url": "https://bucket.s3-fips.us-gov-west-1.amazonaws.com/key",
        "dems_id": "123e4567-e89b-12d3-a456-426614174000",
        "video_id": "123e4567-e89b-12d3-a456-426614174000",
        "locker_info": {
          "locker_id": "123456",
          "locker_title": "Locker 1",
          "locker_categories": [
            "category1",
            "category2"
          ]
        },
        "duration_seconds": 120
      }
    ],
    "audios": [
      {
        "occurred_at_utc": "2021-01-01T00:00:00Z",
        "uploaded_at_utc": "2021-01-01T00:00:00Z",
        "created_at_utc": "2021-01-01T00:00:00Z",
        "presigned_url": "https://bucket.s3-fips.us-gov-west-1.amazonaws.com/key",
        "dems_id": "123e4567-e89b-12d3-a456-426614174000",
        "audio_id": "123e4567-e89b-12d3-a456-426614174000",
        "locker_info": {
          "locker_id": "123456",
          "locker_title": "Locker 1",
          "locker_categories": [
            "category1",
            "category2"
          ]
        },
        "duration_seconds": 120
      }
    ],
    "photos": [
      {
        "occurred_at_utc": "2021-01-01T00:00:00Z",
        "uploaded_at_utc": "2021-01-01T00:00:00Z",
        "created_at_utc": "2021-01-01T00:00:00Z",
        "presigned_url": "https://bucket.s3-fips.us-gov-west-1.amazonaws.com/key",
        "dems_id": "123e4567-e89b-12d3-a456-426614174000",
        "photo_id": "123e4567-e89b-12d3-a456-426614174000",
        "locker_info": {
          "locker_id": "123456",
          "locker_title": "Locker 1",
          "locker_categories": [
            "category1",
            "category2"
          ]
        }
      }
    ]
  },
  "report": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.stage.abelpolice.com/v1/reports/report_id"

headers = {"x-api-key": "<token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.stage.abelpolice.com/v1/reports/report_id';
const options = {method: 'GET', headers: {'x-api-key': '<token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.stage.abelpolice.com/v1/reports/report_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.stage.abelpolice.com/v1/reports/report_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.stage.abelpolice.com/v1/reports/report_id")
  .header("x-api-key", "<token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.stage.abelpolice.com/v1/reports/report_id', [
  'headers' => [
    'x-api-key' => '<token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.stage.abelpolice.com/v1/reports/report_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.stage.abelpolice.com/v1/reports/report_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```